#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ChannelSetCFGData
{
	//渠道ID
	std::string mID;
	//描述信息
	std::string mDesc;
	//快速登陆
	bool mEnableFastLogin;
	//本地登录
	bool mEnableLocalLogin;
	//开放其他游戏需达到的等级
	int mFishLvToOpen;
};

class M_ChannelSetCFG
{
public:
private:
	static std::auto_ptr<M_ChannelSetCFG> msSingleton;
public:
	int GetCount();
	const M_ChannelSetCFGData* GetData(std::string ID);
	boost::unordered_map<std::string, M_ChannelSetCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ChannelSetCFG* GetSingleton();
private:
	boost::unordered_map<std::string, M_ChannelSetCFGData> mMapData;
};
